.nill-intro-pre-headline-headline-text .media-container {
    grid-area: 1/1/span 1/span 10;
    height: calc(100svh - var(--header-height));
    min-height: 100%;
    max-width: calc(100% - var(--grid-col-width));
}

.nill-intro-pre-headline-headline-text .scroll-btn {
    grid-area: 1/1/span 1/span 9;
    margin: var(--m-sm);
    z-index: 1;
}

.nill-intro-pre-headline-headline-text .content-container {
    grid-area: 1/11/span 1/span 3;
}

@media (max-width: 1199.98px) {
    .nill-intro-pre-headline-headline-text {
        min-height: calc(100vh - var(--header-height));
        min-height: calc(100svh - var(--header-height));
        height: fit-content;
        grid-template-rows: 1fr auto;
    }

    .nill-intro-pre-headline-headline-text .media-container {
        grid-area: 1/1/span 1/span 14;
        height: auto;
        min-height: calc(50vh - var(--header-height));
        max-width: unset;
        max-height: unset;
        position: relative;
    }

    .nill-intro-pre-headline-headline-text .media-container>* {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .nill-intro-pre-headline-headline-text .scroll-btn {
        grid-area: 1/1/span 1/span 14;
    }

    .nill-intro-pre-headline-headline-text .content-container {
        grid-area: 2/5/2/span 6;
        margin: var(--m-md) 0;
    }
}

@media (max-width: 991.98px) {
    .nill-intro-pre-headline-headline-text .content-container {
        grid-area: 2/4/2/span 8;
    }
}

@media (max-width: 767.98px) {
    .nill-intro-pre-headline-headline-text .content-container {
        grid-area: 2/3/2/span 10;
    }
}

@media (max-width: 575.98px) {
    .nill-intro-pre-headline-headline-text .content-container {
        grid-area: 2/2/2/span 12;
    }
}